﻿;-TOP

; Comment     : EventDesigner - Structures and Variables

; *******************************************************************

#PBEndCode = "; IDE Options = PureBasic"

Structure udtOldNew
  Old.s
  New.s
EndStructure

; ----

Structure udtLoadFont
  Function.s
  Const.s
  FontName.s
  IsInside.i
EndStructure

Structure udtLoadImage
  Function.s
  Const.s
  FileName.s
  IsInside.i
EndStructure

Structure udtCatchImage
  Function.s
  Const.s
  Label.s
  FileName.s
  IsInside.i
EndStructure

; ----

Structure udtPrefixOldNew
  Prefix.s
  Map Const.udtOldNew()
EndStructure

; ----

Structure udtRows
  List Rows.s()
EndStructure

Structure udtCodes
  Filename.s
  Prefix.s
  OpenWindow.s
  ResizeWindow.s
  List Proc.udtRows()
  List LoadFont.udtLoadFont()
  List LoadImage.udtLoadImage()
  List CatchImage.udtCatchImage()
  
  List Globals.s()
  List DataSections.s()
  
  List ConstWindow.s()
  List ConstMenus.s()
  List ConstMenuItems.s()
  List ConstToolbar.s()
  List ConstStatusBar.s()
  List ConstGadgets.s()
  
  List ListConst.udtOldNew()
  
EndStructure

; ----
Structure udtCode
  Update.i
  FileName.s
  List Code.s()
EndStructure

Structure udtFiles
  UpdateCommon.i
  UpdateMain.i
  UpdateEventMain.i
  List Common.s()
  List Main.s()
  List EventMain.s()
  List EventFiles.udtCode()
  List IncludeFiles.udtCode()
EndStructure

; ----

Structure udtConstants
  List Windows.s()
  List Menus.s()
  List MenuItems.s()
  List Gadgets.s()
  List Toolbars.s()
  List Statusbars.s()
  List LoadFonts.udtLoadFont()
  List LoadImages.udtLoadImage()
  List CatchImages.udtCatchImage()
EndStructure

; ----

Structure udtCompareConstants
  Cancel.i
  Title.s
  List Old.s()
  List New.s()
  List Update.udtOldNew()
EndStructure

; ----

Structure udtUpdateConstants
  List Windows.udtOldNew()
  List Menus.udtOldNew()
  List MenuItems.udtOldNew()
  List Gadgets.udtOldNew()
  List Toolbars.udtOldNew()
  List Statusbars.udtOldNew()
  ;List Fonts.udtLoadFont()
  ;List Images.udtLoadImage()
EndStructure

; ----

Structure udtSwitch
  ParendWindow.i
  AutoPosition.i
  Multilanguage.i
  IncludeImages.i
  CopyImages.i
  MacMenuEvents.i
  PrefixOff.i
  CloseIDE.i
EndStructure

; ----

Structure udtProgramData
  ProjectPath.s
  ProjectFile.s
EndStructure

; ----

Structure udtProjectData
  List Files.s()
  LastPath.s
  Switches.udtSwitch
  Constants.udtConstants
EndStructure

; ****

;- Global Variables

;Global commonProjectPath.s
Global commonProgramDataPath.s

Global commonProgramData.udtProgramData
Global commonProjectData.udtProjectData
Global flagProjectDataSave.i

Global Files.udtFiles
Global Constants.udtConstants

Global codeFlagFirstWindow
Global codeConstFirstWindow.s
Global codeOpenFirstWindow.s
Global codeResizeFirstWindow.s

Global *ThreadData.udtThreadControl = AllocateStructure(udtThreadControl)

;- Global LinkedList

Global NewList Codes.udtCodes()

Global NewList ValidMenus.s()
Global NewList ValidGadgets.s()
Global NewList ValidFunctions.s()

Global NewList ValidUserGadgets.s()

Global NewMap ExistsConstant.s()
Global NewMap UseImageDecoder.s()

;- Vergleichs variablen

Global CompareConstants.udtCompareConstants
Global OldConstants.udtConstants
Global UpdateConstants.udtUpdateConstants

Global SignalCompareWindow = CreateSemaphore()
; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 55
; FirstLine = 45
; EnableXP